/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * DBR_DBString.java,v 1.2 2002/08/02 15:39:15 jba Exp
 */

package jca.dbr;
import java.lang.*;

/**
 * This class represents the Channel Access DBR_STRING type.
 *
 */
public class DBR_DBString implements DBR {
  public String m_value= null;

  public DBR_DBString() {
    this("");
  }

  public DBR_DBString(DBData val) {
    m_value= val.stringValue();
  }

  public DBR_DBString(String str) {
    m_value= str;
  }

  public int type() {
    return DBR.STRING;
  }
  
  public int count() {
    return 1;
  }

  public DBData dataAt(int at) {
    return new DBString(m_value);
  }
  
  public String valueAt(int at) {
    return m_value;
  }

  public String value() {
    return m_value;
  }
}
