/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
/*
 * ConnectionEvent.java,v 1.2 2002/08/02 15:39:19 jba Exp
 */

package jca.event;

import jca.*;
import jca.dbr.*;
import java.lang.*;

public class ConnectionEvent implements CaEvent {

  protected jca.PV                       m_pv;
  protected int                          m_op;
  protected jca.event.ConnectionListener m_listener;

  public ConnectionEvent(jca.PV pv, jca.event.ConnectionListener l) {
    m_pv=pv;
    m_listener= l;
  }
  
  public jca.PV pv() {
    return m_pv;
  }

  public int op() {
    return m_op;
  }

  public void fire() {
    m_listener.connectionChanged(this);
  }

  public void update(int op) {
    m_op= op;
  }
}
